require 'yell'
require 'yell-adapters-syslog'
Yell.new(name: 'CertflareLogger', format: "[%d] (%L) %m") do |l|
  l.adapter :stdout, level: 'lte.warn', colors: true, name: 'stdout'
  l.adapter :stderr, level: 'gte.error', colors: true, name: 'stderr'
  l.adapter :datefile, Pathname('/var').join('log', 'certflare'), colors: true, name: 'logfile'
  l.adapter :syslog, :facility => :user, :options => [:cons], :ident => 'Certflare'
end
module Certflare
  class CertflareLogger
    include Yell::Loggable
  end
end